%define	upstream_name	 PDL
%define upstream_version 2.4.11

%define Werror_cflags %nil
%define _provides_exceptions perl(Inline)
%define _requires_exceptions perl(\\(PDL\\|PGPLOT\\|Inline\\))

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
Epoch:      1

Summary:    PerlDL, an efficient numerical language for scientific computing
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.cpan.org/pub/perl/CPAN/modules/by-module/PDL/%{upstream_name}-%{upstream_version}.tar.gz
Source1:    PDL-convert-doc.pl.bz2
Patch1:     PDL-2.4.4-fpic.patch
Patch2:     PDL-2.4.4-handle-INSTALLDIRS-vendor.patch
Patch4:     PDL-2.4.0-fix-gimp.patch
Patch5:     PDL-2.4.2-makemakerfix.patch

BuildRequires: perl(Astro::FITS::Header)
BuildRequires: perl(Convert::UU)
BuildRequires: perl(Data::Dumper) >= 2.121.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(File::Map) >= 0.470.0
BuildRequires: perl(File::Spec) >= 0.600.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(Filter::Util::Call)
BuildRequires: perl(Inline) >= 0.430.0
BuildRequires: perl(OpenGL) >= 0.650.0
BuildRequires: perl(Pod::Parser)
BuildRequires: perl(Pod::Select)
BuildRequires: perl(Storable) >= 1.30.0
BuildRequires: perl(Text::Balanced) >= 1.890.0
BuildRequires: gcc-gfortran
BuildRequires: libgsl-devel
BuildRequires: mesaglu-devel
BuildRequires: freeglut-devel
BuildRequires: ncurses-devel
BuildRequires: perl-devel
BuildRequires: perl-ExtUtils_F77 >= 1.14-11mdk
BuildRequires: libx11-devel
BuildRequires: libxext-devel
BuildRequires: libxi-devel
BuildRequires: libxmu-devel
# if installed, requires f2c-devel,
# but it is a contrib package
BuildConflicts:	f2c

Provides:   perl(PDL::PP::CType)  
Provides:   perl(PDL::PP::Dims)  
Provides:   perl(PDL::PP::PDLCode)
Provides:   perl(PDL::PP::SymTab)
Provides:   perl(PDL::PP::XS)
Provides:   perl(PDL::Config)
Provides:   perl(PDL::Graphics::OpenGL)
Provides:   perl(PDL::Graphics::OpenGLQ)
Provides:   perl(PDL::Graphics::TriD::GL)
Provides:   perl(PDL::Graphics::TriD::Objects)
Provides:   perl(PDL::Lite)
Provides:   perl(PDL::LiteF)

Obsoletes:  PDL
Provides:   PDL

%package	doc
Summary:    PerlDL documentation package
Group:      Documentation
Requires:   perl-PDL
%description
The perlDL project aims to turn perl into an efficient numerical language for
scientific computing. The PDL module gives standard perl the ability to
COMPACTLY store and SPEEDILY manipulate the large N-dimensional data sets which
are the bread and butter of scientific computing. e.g. C<$a=$b+$c> can add two
2048x2048 images in only a fraction of a second.

The aim is to provide tons of useful functionality for
scientific and numeric analysis.

%description	doc
The perlDL project aims to turn perl into an efficient numerical language for
scientific computing. The PDL module gives standard perl the ability to
COMPACTLY store and SPEEDILY manipulate the large N-dimensional data sets which
are the bread and butter of scientific computing. e.g. C<$a=$b+$c> can add two
2048x2048 images in only a fraction of a second.

The aim is to provide tons of useful functionality for
scientific and numeric analysis.

This is the documentation package.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch1 -p1 -b .pic
%patch2 -p1 -b .vendor
%patch4 -p0 -b .gimp
%patch5 -p0 -b .mm

%build
echo | %{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix} OPTIMIZE="%{optflags}"
make
#DISPLAY="" make test

# first generate blib/lib/PDL/pdldoc.db
make doctest
# 

%install
%makeinstall PREFIX="%{buildroot}/%{_prefix}"

# create /usr/bin if it doesn't already exist
%{__mkdir_p} %{buildroot}%{_bindir}

# fix installed documentation
%{__bzip2} -dc %{SOURCE1} | %{__perl} - "%{buildroot}"

%files
%doc BUGS COPYING Changes DEPENDENCIES DEVELOPMENT Demos Example INSTALL INTERNATIONALIZATION IO META.json META.yml MYMETA.yml README TODO
%doc README DEVELOPMENT INSTALL TODO BUGS META.yml
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorarch}/PDL.pm
%{perl_vendorarch}/PDL
%{perl_vendorarch}/auto/PDL
%{perl_vendorarch}/Inline
%exclude %{perl_vendorarch}/PDL/*.pod
%exclude %{perl_vendorarch}/PDL/HtmlDocs

%files doc
%doc COPYING
%{perl_vendorarch}/PDL/*.pod
%{perl_vendorarch}/PDL/HtmlDocs


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1:2.4.11-3.mga3
+ Revision: 371200
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 10 2012 jquelin <jquelin> 1:2.4.11-2.mga3
+ Revision: 304082
- fix rpm group

* Wed Jun 06 2012 jquelin <jquelin> 1:2.4.11-1.mga3
+ Revision: 256139
- update to 2.4.11

* Wed May 30 2012 jquelin <jquelin> 1:2.4.10-2.mga3
+ Revision: 251045
- rebuild for perl 5.16

* Fri Feb 24 2012 jquelin <jquelin> 1:2.4.10-1.mga2
+ Revision: 213789
- update to 2.4.10

* Sat Dec 10 2011 kharec <kharec> 1:2.4.9_13-1.mga2
+ Revision: 180459
- New version 2.4.9_013

* Thu Sep 29 2011 fwang <fwang> 1:2.4.9-3.mga2
+ Revision: 150194
- tighten br

* Sun Jun 12 2011 sander85 <sander85> 1:2.4.9-2.mga2
+ Revision: 104412
- Rebuild for perl 5.14

* Tue Apr 12 2011 jquelin <jquelin> 1:2.4.9-1.mga1
+ Revision: 83803
- update to 2.4.9

* Fri Apr 08 2011 jquelin <jquelin> 1:2.4.8-1.mga1
+ Revision: 82247
- update to 2.4.8

* Sat Jan 22 2011 jquelin <jquelin> 1:2.4.7-2.mga1
+ Revision: 32285
- mageia rebuild
- imported package perl-PDL

